Subject: bug#59935: 29.0.60; project-list-buffers is slow

From: Juri Linkov <[email-masked]>
Date: Mon, 12 Dec 2022 19:51:48 +0200

>> +** The argument FILTER-PREDICATE of 'list-buffers-noselect' is obsolete now.
>> +It will be removed in next versions.
>
> I thought we wanted to make the command faster in Emacs 29.  I very
> much doubt that deprecation of an argument will have that effect.
>
> I'm also not sure I agree with obsoleting and removing that argument.
> We don't have enough justification for that, not yet.  That it was
> introduced for a particular use case, and that use case no longer uses
> it, doesn't mean there won't be others.  After all, we don't introduce
> additional arguments unless we think it will be useful in more than
> one case.

Having both FILTER-PREDICATE and BUFFER-LIST-FUNCTION is too problematic.
Which one should take priority over another when both specified?